Skip to main content
GET
/
ping_limits
/
{id}
Fetch a ping limit counter
curl --request GET \
  --url https://app.leadconduit.com/ping_limits/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "5fd4371e940df5a34a3888b2",
  "name": "<string>",
  "maximum": 123,
  "duration": 123,
  "duration_units": "<string>",
  "time_zone": "America/New_York",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.activeprospect.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

The ID of the specific Ping Limit 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

The ping limit configuration is defined in a flow on a source, or directly on the flow itself. The configuration controls the behavior of the ping limit by setting the maximum and the duration. The counter for a ping limit is kept as a standalone record which shares ping limit's ID.

id
string
read-only

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

name
string

The human-readable name of the ping limit

maximum
integer

The number of pings that will be accepted

duration
integer

The number duration_units the ping limit persists for

duration_units
string

The unit of time the ping limit persists for: minute, hour, day, week, or month

time_zone
string

The time zone in which ping limit resets

Example:

"America/New_York"

created_at
string<date-time>
read-only

Read-only time the ping limit was created